
QGIS Application - Feature request #593

SPIT: implement rollback when import of shapes into PGIS get canceled

2007-02-15 04:46 AM - stephan-holl-intevation-de -

Status: Closed

Priority: Low

Assignee: nobody -

Category:

Pull Request or Patch supplied: Resolution: fixed

Easy fix?: No Copied to github as #: 10652

Description

SPIT: once starting the import of a shapefile the 'cancel'-button

does not work anymore. It would be nice to cover the import into a

transaction block that 'cancel' could be easily rolled back.

Associated revisions

Revision bdc159ef - 2007-11-18 08:37 PM - Jürgen Fischer

update spit plugin, fixes #593

git-svn-id: http://svn.osgeo.org/qgis/trunk/qgis@7457 c8812cc2-4d05-0410-92ff-de0c093fc19c

Revision dd338cc4 - 2007-11-18 08:37 PM - Jürgen Fischer

update spit plugin, fixes #593

git-svn-id: http://svn.osgeo.org/qgis/trunk@7457 c8812cc2-4d05-0410-92ff-de0c093fc19c

History

#1 - 2007-11-18 11:40 AM - Jürgen Fischer

- Resolution set to fixed

- Status changed from Open to Closed

Fixed in commit:dd338cc4 (SVN r7458): cancel works again, but the transaction are still file by file, ie. the rollback in case of cancel just rolls back the last

shapefile.

#2 - 2009-08-22 12:52 AM - Anonymous

Milestone Version 0.9.1 deleted
